using SteamWare;


namespace GMW_data
{
    public class selData
    {
        /// <summary>
        /// classe accesso tabelle selettori
        /// </summary>
        public selData()
        {
        }

        /// <summary>
        /// tabella elenco UDC papabili x lista prelievo (da conditio = codice particolare...)
        /// </summary>
        /// <param name="conditio"></param>
        /// <returns></returns>
        public GMW_data.DS_Utility.v_selUdcByPartDataTable getSelUdcByPart()
        {
            string Particolare = "";
            string CodLista = "";
            // cerco da rete se c'è la condizione di filtraggio...
            try
            {
                Particolare = SteamWare.memLayer.ML.StringSessionObj("UdcByPart_Particolare");
            }
            catch
            { }
            try
            {
                CodLista = SteamWare.memLayer.ML.StringSessionObj("UdcByPart_CodLista");
            }
            catch
            { }
            return GMW_data.utils.obj.taUdcByPart.getByConditio(Particolare, memLayer.ML.cdv("CodCS"), CodLista);
        }

    }
}
